classification
Title: test_objecttypes fails for 3.2.4 on CentOS 6
Type: behavior Stage:
Components: Build Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, bharper, cheryl.sabella, ezio.melotti, loewis
Priority: normal Keywords:

Created on 2013-04-30 16:55 by bharper, last changed 2018-01-24 22:38 by cheryl.sabella. This issue is now closed.

Messages (4)
msg188169 - (view) Author: bharper (bharper) Date: 2013-04-30 16:55
Hello,

I have been running into some issues with test_objecttypes with 3.2.4 on CentOS 6:

======================================================================         
FAIL: test_objecttypes (test.test_sys.SizeofTest)                              
----------------------------------------------------------------------         
Traceback (most recent call last):                                             
  File "/builddir/build/BUILD/Python-3.Lib/test/test_sys.py", line 789, in test_objecttypes
    check(int, s)                                                              
  File "/builddir/build/BUILD/Python-3.Lib/test/support.py", line 1155, in check_sizeof
    test.assertEqual(result, size, msg)                                        
AssertionError: 856 != 816 : wrong size for <class 'type'>: got 856, expected 816
----------------------------------------------------------------------

Looking over the bugs, I do not see anyone else having issues with this test.  It does appear that this test got updated in issue 15467.  

Any insight would be greatly appreciate.

-Ben
msg188394 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-05-04 18:46
3.2 only gets security fixes, can you try with 3.3/default and see if it fails there?

(The devguide has instructions about getting an updated clone and testing on 3.3/default if you need them.)
msg310635 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-01-24 21:22
I believe this may have been fixed in #19527.
msg310638 - (view) Author: bharper (bharper) Date: 2018-01-24 21:30
Hey all,

I am not having this issue on other versions of python.  Seeing that python 3.2 is EOL, lets just close this issue.
History
Date User Action Args
2018-01-24 22:38:05cheryl.sabellasetresolution: out of date
stage: resolved ->
2018-01-24 21:30:03bharpersetstatus: open -> closed

messages: + msg310638
stage: resolved
2018-01-24 21:22:04cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg310635
2013-05-04 18:46:51ezio.melottisetnosy: + loewis, ezio.melotti, benjamin.peterson
type: behavior
messages: + msg188394
2013-04-30 16:55:43bharpercreate